Type to search.

Get data stream mappings

  • GET /_data_stream/{name}/_mappings
Auth

Get mapping information for one or more data streams.

Required privileges

Index privileges view_index_metadata

Path parameters

name union string | string[] required

A comma-separated list of data streams or data stream patterns. Supports wildcards (*).

Query parameters

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
data_streams object[] required
name string required

The name of the data stream.

mappings object required

The settings specific to this data stream

date_detection boolean
dynamic enum
Values: strict runtime true false
dynamic_date_formats string[]
dynamic_templates string to object[]
_meta object
numeric_detection boolean
properties map string to oneOf
runtime map string to object
enabled boolean
subobjects enum
Values: true false
effective_mappings object required

The settings specific to this data stream merged with the settings from its template. These effective_settings are the settings that will be used when a new index is created for this data stream.

Same fields as mappings in data_streams